Name: 		mdic
Version: 	0.8.1
Release: 	%mkrel 2
Summary: 	Multilingual Dictionary for GNU/Linux
Group: 		Office
URL: 		http://mdic.sourceforge.net
License: 	GPL
BuildRoot:  	%{_tmppath}/rpm/%{name}-root 
Source: 	%{name}-%{version}.tar.xz
Suggests:       mdicconv
Suggests:     	espeak
Suggests:     	festival


%description
MDic is a complete Multilingual Dictionary for GNU/Linux.
It is a graphical dictionary client for GNU/Linux Systems.
It enables you to search through dictionary databases for
a word or phrase, then displays suitable definitions. The
back/forward functionality is also implemented, enabling
you to quickly go back to the result of previous queries.
MDic is able to process the content of the clipboard, 
so it’s easy to combine MDic with your web browser or
text editor. 
Use mdicconv to convert between dictionary formats.


%prep
%setup -q
cmake -DCMAKE_INSTALL_PREFIX=/usr .

%build
make

%install
make DESTDIR=%{?buildroot:%{buildroot}} install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%{_bindir}/mdic
%{_datadir}/applications/mdic.desktop
%{_datadir}/doc/mdic/AUTHORS
%{_datadir}/doc/mdic/COPYING
%{_datadir}/doc/mdic/README
%{_datadir}/doc/mdic/TODO
%{_datadir}/doc/mdic/changelog
%{_datadir}/man/man1/mdic.1.bz2
%{_datadir}/pixmaps/mdic.png

%changelog
* Sun Dec 01 2013 pinoc <vogtpet at gmail.com> 0.8.1-2pclos2013
- rebuild for 32/64
- added suggests

* Sun Aug 01 2010 Texstar <texstar at gmail.com> 0.8.1-1pclos2010
- create package

